#
# spec file for package gdm2 (Version 2.4.1.6)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gnome-filesystem gnome2-devel-packages libgsf libgsf-devel librsvg librsvg-devel tcpd
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel cracklib esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgsf libgsf-devel libjpeg librsvg librsvg-devel libtool libwnck libwnck-devel libxml2 libxml2-devel linc linc-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt-devel rpm tcpd update-desktop-files

Name:         gdm2
%define _name gdm
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
PreReq:       /usr/sbin/useradd
License:      GPL
Group:        System/GUI/GNOME
Autoreqprov:  on
Version:      2.4.1.6
Release:      100
Summary:      The GNOME 2.x Display Manager
Source:       %{_name}-%{version}.tar.bz2
Source2:      SuSEconfig.gdm2
Source3:      Default
Source4:      gdm.pamd
Source5:      gdm-autologin.pamd
Patch:        gdm-conf.diff
Patch1:       desktop-files.diff
Patch2:       gdm2-dos-attack-fix.dif
URL:          http://www.gnome.org
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Docdir:       %{_defaultdocdir}
Obsoletes:    gdm

%description
This version of GDM, the GNOME Display manager, is based on GTK2 and is
suited for the GNOME 2.x Desktop. GDM is a flexible X Window System
display manager that has many options, is usable for remote login, and
provides a good looking graphical interface.



%prep
%setup -n %{_name}-%{version} 
%patch
%patch1
%patch2
# Create UTF-8 alternative for all locales.
sed 's:\([^ 	]*\)\([ 	][ 	]*\)\(.*\)UTF-8,\(.*\):\1	\2\4,\3UTF-8\
\1(UTF-8)\2\3UTF-8,\4:g' <config/locale.alias | sed 's:^\([^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	]\)*(UTF-8):&	:' >config/locale.alias~
mv config/locale.alias~ config/locale.alias
# Prefer non UTF-8 for all locales.
#sed 's:\([^ 	]*\)\([ 	][ 	]*\)\(.*\)UTF-8,\(.*\):\1	\2\4,\3UTF-8:g' <config/locale.alias | sed 's:^\([^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	]\)*(UTF-8):&	:' >config/locale.alias~
#mv config/locale.alias~ config/locale.alias

%build
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde \
    --enable-platform-gnome2
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
make install-strip DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.gdm2 $RPM_BUILD_ROOT/sbin/conf.d 
rm $RPM_BUILD_ROOT/etc/opt/gnome/gdm/Sessions/Gnome
rm $RPM_BUILD_ROOT/etc/opt/gnome/gdm/Sessions/Xsession
cp %SOURCE3 $RPM_BUILD_ROOT/etc/opt/gnome/gdm/Sessions/Default
chmod +x $RPM_BUILD_ROOT/etc/opt/gnome/gdm/Sessions/Default
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp %SOURCE4 $RPM_BUILD_ROOT/etc/pam.d/gdm
cp %SOURCE5 $RPM_BUILD_ROOT/etc/pam.d/gdm-autologin
mv $RPM_BUILD_ROOT%{prefix}/bin/gdm-binary $RPM_BUILD_ROOT%{prefix}/bin/gdm
rm -f $RPM_BUILD_ROOT/etc/opt/gnome/pam.d/gdm
rm -f $RPM_BUILD_ROOT/etc/opt/gnome/pam.d/gdm-autologin
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/control-center-2.0/capplets/
cp $RPM_BUILD_ROOT/opt/gnome/share/gnome/capplets/*.desktop $RPM_BUILD_ROOT/opt/gnome/share/control-center-2.0/capplets/
rm -fr $RPM_BUILD_ROOT/opt/gnome/share/gnome/capplets
%find_lang %{_name}-2.4
%suse_update_desktop_file gdmsetup               SystemSetup
%suse_update_desktop_file gdmflexiserver         RemoteAccess
%suse_update_desktop_file gdmflexiserver-xnest   RemoteAccess

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -r -o -g shadow -u 50 -s /bin/bash \
-c "Gnome Display Manager daemon" -d /var/lib/gdm gdm 2> /dev/null || :

%files -f %files -f %{_name}-2.4.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config /etc/opt/gnome/gdm
%{prefix}/sbin/*
%{prefix}/bin/*
%{prefix}/share/gdm
%{prefix}/share/applications/*.desktop
%{prefix}/share/pixmaps/*.png
/opt/gnome/share/control-center-2.0/capplets/*.desktop
%attr(750,gdm,shadow) %dir /var/lib/gdm
%config /etc/pam.d/*
/sbin/conf.d/SuSEconfig.gdm2

%changelog -n gdm2
* Tue Oct 28 2003 - hhetter@suse.de
- apply patch against two denial of service attacks
  (Bug Id #32314) (CAN-2003-0793, CAN-2003-0794)
* Thu Sep 18 2003 - adrian@suse.de
- add Categories
- show entries only in Gnome (#31287)
* Fri Sep 05 2003 - hhetter@suse.de
- added Obsoletes: gdm
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Tue Aug 12 2003 - hhetter@suse.de
- updated to version 2.4.1.6
* Mon Jul 28 2003 - kukuk@suse.de
- Make sure /var/lib/gdm has correct permissions
* Fri Jul 25 2003 - hhetter@suse.de
- move capplets to correct position
- fix build
* Wed Jul 16 2003 - sbrabec@suse.cz
- Fixed prefix in configuration files.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.4.
- Fixed default path to Xwilling.
- Updated neededforbuild.
- Use %%find_lang.
- Prefix clash fix (capplets).
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Mon May 26 2003 - sbrabec@suse.cz
- Re-enabled UTF-8 alternatives for all locales.
* Sun Mar 16 2003 - adrian@suse.de
- add resmgr support to pam
* Mon Mar 10 2003 - hhetter@suse.de
- use LC_MESSAGES instead of LC_ALL for setlocale
  ( Bug Id#24889 )
* Thu Feb 27 2003 - sbrabec@suse.cz
- Removed gdm wrapper (fixes problems with default language and init
  script - bug #23875).
* Tue Feb 25 2003 - sbrabec@suse.cz
- Don't offer UTF-8 locales.
* Mon Feb 24 2003 - hhetter@suse.de
- use graphical greeter by default
* Thu Feb 20 2003 - sbrabec@suse.cz
- Use system language for GDM login from /etc/sysconfig/language.
* Tue Feb 18 2003 - sbrabec@suse.cz
- Updated default config and locale aliases (UTF-8 locales).
* Fri Feb 07 2003 - hhetter@suse.de
- updated to 2.4.1.3 [GNOME 2.2.0]
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Thu Jan 16 2003 - ro@suse.de
- use gtk2-devel-packages and libjpeg in neededforbuild
* Tue Jan 07 2003 - sbrabec@suse.cz
- Update to version 2.4.1.0.
- Make Default session file executable.
- Added UTF-8 as alternative for all locales.
- Turned on TCP wrappers support.
* Mon Jan 06 2003 - sbrabec@suse.cz
- Install SuSE specific PAM configuration (from xdm), fix its install
  place.
- Removed sox from neededforbuild.
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.4.0.12 [GNOME 2.0.3]
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Sun Nov 03 2002 - mfabian@suse.de
- Bug Id #21407: correct wrong spelling of UTF-8 locale names
  in /etc/opt/gnome2/gdm/locale.alias. de_DE.utf8 was used
  instead of de_DE.UTF-8 etc., but de_DE.UTF-8 is not supported
  by X11, although de_DE.utf8 and de_DE.UTF-8 is the same
  as far as glibc is concerned, the correct spelling is important
  for X11.
- Bug Id #21408: When using gdm2 the usual intialization file
  of an X session, i.e. ~/.xinitrc, ~/.xsession, ~/.Xmodmap
  ~/.xim etc. were not read. Because of this, inputservers for CJK
  languages did not start automatically and other default
  settings were not correct either.
  I fixed this by improving /etc/opt/gnome2/gdm/Sessions/Default
  to use 'exec /etc/X11/xdm/Xsession $WINDOWMANGER $GDM_LANG'.
  This makes the default behaviour when using gdm2 the same
  as when using kdm or xdm.
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Thu Sep 05 2002 - hhetter@suse.de
- updated to version 2.4.0.11, fixing a security issue
  (no longer open the logging file descriptor as root in
  slave.c ) ( Bug Id #18908 )
* Mon Sep 02 2002 - hhetter@suse.de
- if no session was chosen or previously saved, choose
  the gnome session ( Bug Id #18729)
* Fri Aug 30 2002 - hhetter@suse.de
- fix default script and session linking (Bug Id#18602)
* Thu Aug 22 2002 - hhetter@suse.de
- parse correct Session directory (Bug Id#18181)
* Tue Aug 20 2002 - hhetter@suse.de
- fix prereq
* Mon Aug 12 2002 - hhetter@suse.de
- updated to version 2.4.0.7
- fix neddedforbuild
* Wed Aug 07 2002 - hhetter@suse.de
- updated to version 2.4.0.5
- fix typo in SuSEconfig script (#17438)
- fix linking of sessions
* Wed Jul 17 2002 - hhetter@suse.de
- updated to version 2.4.0.2
  * busy cursor when start X
  * 'System Default' language choice
  * fix unresponsive behaviour when first asking for
  username in graphical greeter #83187 (bugzilla.gnome.org)
  * 'Last' language choice in graphical greeter
  * 24 hour clock setting in graphical greeter
  * Happy Gnome Theme Update
  * more languages supported #84290 (bugzilla.gnome.org)
  * Translation updates
* Thu Jul 11 2002 - hhetter@suse.de
- fix default session
- activate graphical gdmgreeter for local logins by default
* Wed Jul 10 2002 - hhetter@suse.de
- updated to version 2.4.0.1, bugfix release
- SuSEconfig.gdm2 to manage the GDM sessions
* Tue Jul 09 2002 - hhetter@suse.de
- initial SuSE package
- create gdm user
